Subject: Re: bug#72830: Big rectangular selections are slow

From: Po Lu <[email-masked]>
Date: Thu, 29 Aug 2024 08:40:42 +0800

Mattias Engdegård <[email-masked]> writes:

> - `select-active-regions` makes each selection change very expensive.
>   Can be set to nil by the user, but I really suggest that we change
>   the default to nil, at least for non-X11 since the default assumes
>   old-school X11 PRIMARY selection which is alien on most other
>   platforms.

No!!!  Primary selections are an integral part of X, and users (many
trained on X) have come to expect it of Emacs on other systems.

Emacs supports saving a region in a buffer as a selection rather than an
entire string, which could be exercised in the case of rectangular
selections.